org.apache.poi.xddf.usermodel.chart

## Class XDDFAreaChartData

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartData
  - - org.apache.poi.xddf.usermodel.chart.XDDFAreaChartData

-     @Beta
      public class XDDFAreaChartData
      extends XDDFChartData

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XDDFAreaChartData.Series`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData

      `parent, series`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFAreaChartData(XDDFChart parent, org.openxmlformats.schemas.drawingml.x2006.chart.CTAreaChart chart, java.util.Map<java.lang.Long,XDDFChartAxis> categories, java.util.Map<java.lang.Long,XDDFValueAxis> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFChartData.Series` | `addSeries(XDDFDataSource<?> category, XDDFNumericalDataSource<? extends java.lang.Number> values)`
    `Grouping` | `getGrouping()`
    `protected void` | `removeCTSeries(int n)` This method should be implemented in every class that extends `XDDFChartData`.
    `void` | `setGrouping(Grouping grouping)`
    `void` | `setVaryColors(java.lang.Boolean varyColors)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData

      `defineAxes, getCategoryAxis, getSeries, getSeries, getSeriesCount, getValueAxes, removeSeries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFAreaChartData

          @Internal
          protected XDDFAreaChartData(XDDFChart parent,
                                                org.openxmlformats.schemas.drawingml.x2006.chart.CTAreaChart chart,
                                                java.util.Map<java.lang.Long,XDDFChartAxis> categories,
                                                java.util.Map<java.lang.Long,XDDFValueAxis> values)

  - ### Method Detail

    - #### removeCTSeries

          @Internal
          protected void removeCTSeries(int n)

      Description copied from class: `XDDFChartData`
      This method should be implemented in every class that extends `XDDFChartData`.

      A typical implementation would be

              protected void removeCTSeries(int n) {
                  chart.removeSer(n);
              }

      Specified by:
        `removeCTSeries` in class `XDDFChartData`

    - #### setVaryColors

          public void setVaryColors(java.lang.Boolean varyColors)

      Specified by:
        `setVaryColors` in class `XDDFChartData`

    - #### getGrouping

          public Grouping getGrouping()

    - #### setGrouping

          public void setGrouping(Grouping grouping)

    - #### addSeries

          public XDDFChartData.Series addSeries(XDDFDataSource<?> category,
                                                XDDFNumericalDataSource<? extends java.lang.Number> values)

      Specified by:
        `addSeries` in class `XDDFChartData`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.